Create Order Intent Credential
curl --request POST \
--url https://staging.crossmint.com/api/unstable/order-intents/{orderIntentId}/credentials \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"credential": {},
"rail": "agentic-token"
}
'import requests
url = "https://staging.crossmint.com/api/unstable/order-intents/{orderIntentId}/credentials"
payload = {
"amount": {
"currency": "<string>",
"value": "<string>"
},
"credential": {},
"rail": "agentic-token"
}
headers = {
"X-API-KEY": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: {currency: '<string>', value: '<string>'},
credential: {},
rail: 'agentic-token'
})
};
fetch('https://staging.crossmint.com/api/unstable/order-intents/{orderIntentId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"credential": {
"format": "card",
"value": {
"cvc": "<string>",
"expirationMonth": 0,
"expirationYear": 0,
"number": "<string>"
}
},
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"provider": "agentpay",
"rail": "agentic-token"
}Agent Cards
Get Agent Card Credentials
Create a one-time payment credential from an order intent.
API scope required: order-intents.credentials
POST
/
unstable
/
order-intents
/
{orderIntentId}
/
credentials
Create Order Intent Credential
Headers
API key required for authentication
Path Parameters
Body
application/json
Response
201 - application/json
Returns the one-time payment credential
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Minimum string length:
1Available options:
agentpay, vic Available options:
agentic-token Was this page helpful?

